Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.meshcms.extra
Class SiteSynchronizer

    java.lang.Object
      java.lang.Thread
          org.meshcms.util.DirectoryParser
              org.meshcms.extra.SiteSynchronizer

All Implemented Interfaces:
  java.lang.Runnable

public class SiteSynchronizer
extends DirectoryParser

Field Summary

Fields inherited from class org.meshcms.util.DirectoryParser
`initialDir, processStartDir, recursive`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`SiteSynchronizer(WebSite sourceSite, WebSite targetSite, UserInfo targetUser)`

Method Summary
`java.io.Writer` | `getWriter()` Returns the writer (if any).
`boolean` | `isCopyConfig()`
`boolean` | `isCopySiteInfo()`
`protected void` | `postProcess()` This method is called at the end of the processing.
`protected boolean` | `preProcessDirectory(java.io.File file, Path path)`
`protected void` | `processFile(java.io.File file, Path path)` This method will be called for any file found while parsing the base directory.
`void` | `setCopyConfig(boolean copyConfig)`
`void` | `setCopySiteInfo(boolean copySiteInfo)`
`void` | `setWriter(java.io.Writer writer)` Sets the writer for logging (usually the writer of the web page).

Methods inherited from class org.meshcms.util.DirectoryParser
`getInitialDir, isProcessStartDir, isRecursive, isSorted, postProcessDirectory, preProcess, process, run, setInitialDir, setInitialDir, setProcessStartDir, setRecursive, setSorted`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SiteSynchronizer

    public SiteSynchronizer(WebSite sourceSite,
                            WebSite targetSite,
                            UserInfo targetUser)

Method Detail

### setWriter

    public void setWriter(java.io.Writer writer)

  Sets the writer for logging (usually the writer of the web page).

### getWriter

    public java.io.Writer getWriter()

  Returns the writer (if any).

### preProcessDirectory

    protected boolean preProcessDirectory(java.io.File file,
                                          Path path)

  Overrides:
    `preProcessDirectory` in class `DirectoryParser`

### processFile

    protected void processFile(java.io.File file,
                               Path path)

  Description copied from class: `DirectoryParser`
  This method will be called for any file found while parsing the base directory.

  Overrides:
    `processFile` in class `DirectoryParser`
  Parameters:
    `file` - the file to be processed
    `path` - the path of the file (relative to the base directory)

### postProcess

    protected void postProcess()

  Description copied from class: `DirectoryParser`
  This method is called at the end of the processing. It is called even if `DirectoryParser.preProcess()` returned false.

  The base implementation does nothing.

  Overrides:
    `postProcess` in class `DirectoryParser`

### isCopySiteInfo

    public boolean isCopySiteInfo()

### setCopySiteInfo

    public void setCopySiteInfo(boolean copySiteInfo)

### isCopyConfig

    public boolean isCopyConfig()

### setCopyConfig

    public void setCopyConfig(boolean copyConfig)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD